Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028103
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-11-06 00:552014-12-30 23:24
ReporterjecharriView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision714c75ed4d9a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028103: If you have two Reports Templates defined the generated report is duplicated

DescriptionIf you have two Report Templates defined the generated report is duplicated
Steps To Reproduce-Configure the client to be able to send emails
-Configure one order document type to have 2 Report Templates related with one document type -> report_template.png
-Also define two different Emails definitions
-Go to sales order window
-Select an order with the modified document type and send to your email

Verify that the report is duplicated, attached an example
TagsNo tags attached.
Attached Filespng file icon report_template.png [^] (164,978 bytes) 2014-11-06 00:55


pdf file icon Sales_Order_VBS1_0000097.20141105-174323.pdf [^] (41,798 bytes) 2014-11-06 00:56

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071497)
alostale (developer)
2014-11-07 12:09
edited on: 2014-11-07 12:11

The problem is not in the platform but in the query C_OrderJR_new.jrxml has:

select ...
  from ...
       AD_USER right join C_ORDER on AD_USER.AD_USER_ID = C_ORDER.AD_USER_ID
                         left join C_POC_DOCTYPE_TEMPLATE ON C_POC_DOCTYPE_TEMPLATE.C_DOCTYPE_ID = C_ORDER.C_DOCTYPETARGET_ID,
...

which is joining c_order with templates resulting in as many rows as templates for that document type. Having multiple lines makes the detail section, where the subreports for lines are inserted, to be repeated.

This query should be reviewed (is this join needed at all?).

(0071517)
AtulOpenbravo (developer)
2014-11-10 10:13

Test Plan
- Configure client definition to send email as per
http://wiki.openbravo.com/wiki/Client#Email_Configuration [^]
- Create a two report templates for Order document type. Also add email definition to templates.
- Go to Sales Order window. Either send email with report attachment or try to print any order record.
- Check in sent email attachment document or order print, that lines information is not repeated.
(0071575)
hgbot (developer)
2014-11-12 05:08

Repository: erp/devel/pi
Changeset: 714c75ed4d9aaf33560e1becc11bf98f5a1df436
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Nov 10 15:17:25 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/714c75ed4d9aaf33560e1becc11bf98f5a1df436 [^]

Fixes Issue 28103:If you have two Reports Templates defined the generated
report is duplicated

With reference to changes in RptC_Invoice_new.jrxml during fix for issue
23745, left join for table C_POC_DOCTYPE_TEMPLATE is removed and necessary
changes are done.

---
M src/org/openbravo/erpReports/C_OrderJR_new.jrxml
---
(0071576)
pramakrishnan (developer)
2014-11-12 05:56

Code review + Testing - OK.
(0073043)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-06 00:55 jecharri New Issue
2014-11-06 00:55 jecharri Assigned To => AugustoMauch
2014-11-06 00:55 jecharri File Added: report_template.png
2014-11-06 00:55 jecharri Web browser => Google Chrome
2014-11-06 00:55 jecharri Modules => Core
2014-11-06 00:55 jecharri Triggers an Emergency Pack => No
2014-11-06 00:56 jecharri File Added: Sales_Order_VBS1_0000097.20141105-174323.pdf
2014-11-06 19:20 ngarcia Issue Monitored: networkb
2014-11-06 19:21 ngarcia Issue Monitored: ngarcia
2014-11-06 19:23 ngarcia Web browser Google Chrome => Google Chrome
2014-11-06 19:23 ngarcia Priority urgent => immediate
2014-11-07 12:09 alostale Note Added: 0071497
2014-11-07 12:09 alostale Web browser Google Chrome => Google Chrome
2014-11-07 12:09 alostale Assigned To AugustoMauch => vmromanos
2014-11-07 12:09 alostale Category A. Platform => 07. Sales management
2014-11-07 12:11 alostale Note Edited: 0071497 View Revisions
2014-11-09 18:36 AtulOpenbravo Assigned To vmromanos => AtulOpenbravo
2014-11-09 18:36 AtulOpenbravo Status new => scheduled
2014-11-09 18:36 AtulOpenbravo fix_in_branch => pi
2014-11-10 10:13 AtulOpenbravo Note Added: 0071517
2014-11-12 05:06 AtulOpenbravo Review Assigned To => pramakrishnan
2014-11-12 05:06 AtulOpenbravo Web browser Google Chrome => Google Chrome
2014-11-12 05:06 AtulOpenbravo fix_in_branch pi =>
2014-11-12 05:08 hgbot Checkin
2014-11-12 05:08 hgbot Note Added: 0071575
2014-11-12 05:08 hgbot Status scheduled => resolved
2014-11-12 05:08 hgbot Resolution open => fixed
2014-11-12 05:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/714c75ed4d9aaf33560e1becc11bf98f5a1df436 [^]
2014-11-12 05:56 pramakrishnan Note Added: 0071576
2014-11-12 05:56 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073043


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker